framework:
    rate_limiter:
        # ── WMS API rate limiter ───────────────────────────────────────────────
        # Applied to /api/wms/* endpoints.  Allows up to 120 requests per minute
        # per IP address using a sliding-window strategy.
        wms_api:
            policy: sliding_window
            limit: 120
            interval: '1 minute'
            lock_factory: lock.factory

        # ── WebVitals ingestion rate limiter ──────────────────────────────────
        # Applied to /metrics/web-vitals.  Allows up to 60 beacons per minute
        # per IP address to prevent abuse of this publicly accessible endpoint.
        web_vitals_ingestion:
            policy: sliding_window
            limit: 60
            interval: '1 minute'
            lock_factory: lock.factory
